global
    user {{ haproxy_user }}
    group {{ haproxy_group }}
    log 127.0.0.1 local0
    stats socket /var/run/haproxy.stat mode 660 level admin

defaults
    retries {{ haproxy_retries }}
    timeout connect {{ haproxy_connection_timeout }}
    timeout server {{ haproxy_server_timeout }}
    timeout client {{ haproxy_client_timeout }}

{% for service in haproxy_services %}
listen {{ service.service_name }}
{% if ( service.enable_ssl is defined) and ( service.enable_ssl != '') %}
{% if service.enable_ssl == True %}
{% if service.proto == "http" %}
    bind {{ service.bind_ip }}:{{ service.port}} ssl crt {{ service.ssl_cert_path }}
{% endif %}
{% endif %}
{% if service.enable_ssl == False %}
    bind {{ service.bind_ip }}:{{ service.port}}
{% endif %}
{% endif %}
    mode {{ service.proto }}
    balance {{ service.balancer_mode }}
{% for node in service.backend_nodes %}
  server {{ node.name }} {{ node.address }}:{{ node.port }} {{ 'check port %s' | format(service.check_port) if service.check_port }} {{ 'fall %s'| format(service.health_check_fall) if service.health_check_fall }} {{ 'rise %s' | format(service.health_check_rise) if service.health_check_rise }}
{% endfor %}

{% endfor %}

{% if haproxy_enable_gui %}
listen stats
    bind :9000
    mode http
    stats enable
    stats realm HAProxy\ Statistics
    stats uri /haproxy_stats
    stats auth {{ haproxy_gui_username }}:{{ haproxy_gui_password }}
{% endif %}
